#include <bits/stdc++.h>
using namespace std;
 
void Print_subsequences(string question, string answer){
    if (question.length() == 0)
    {
        /* code */
        cout<<answer<<endl;
        return;
    }
    char ch = question.at(0);
    string rest_of_string = question.substr(1);
    Print_subsequences(rest_of_string, answer + ch);
    Print_subsequences(rest_of_string, answer + "");
}
int main(){
    string str;
    cin>>str;
    Print_subsequences(str, "");
    return 0;
}